"use strict";

var myAnimatedSprite = new AnimatedSprite('ship-1-r.png', 100, 94, 1, 1, 1, 4);
myAnimatedSprite.setPosition(100, 100);

var background = new ScrollingBackground('starfield_1.jpg', 1024, 640);
background.autoscroll(2, 0);


function update(dt) {
  background.update(dt);
  myAnimatedSprite.update(dt);
}

function render(context, dt) {
  background.render(context, dt);
  myAnimatedSprite.render(context, dt);
}

var myGame = new FrameEngine('game-window', update, render);
myGame.start();
